- name: change password
  hosts: all
  become: true
  vars:
    myuser: "dalibo"
    mypassword: "D@libo2025"
  tasks:
    - name: change password
      ansible.builtin.user:
        name: "{{ myuser }}"
        state: present
        password: "{{ mypassword | password_hash('sha512') }}"